Уязвимости в phpmailer 5.х.х

Правила раздела: faq.php?mode=okay
Модератор: Модераторы

softmobidev
softmobidev
Репутация: 3
Сообщения: 92
Зарегистрирован: 16.02.2018
С нами: 1 год 9 месяцев

Сообщение #1 softmobidev » 22.05.2018, 18:30

Здравствуйте, подскажите как обновить phpmailer в Okay 2.1.4 в котором установлена phpmailer 5.2.10 у которой много дыр, в частности RCE : CVE-2016-10045, CVE-2016-10031 а в версиях 5.2.22 еще пару дыр

в общем как сказали надо обновляться на phpmailer 6

собственно вопрос, достаточно ли снести phpmailer в папке lib и залить новую папку phpmailer либо требуются дополнительные настройки?

OkayCMS M
Администратор
Аватара
OkayCMS M
Администратор
Репутация: 147
Сообщения: 1076
Зарегистрирован: 12.11.2015
С нами: 4 года
Сайт Skype

Сообщение #2 OkayCMS » 23.05.2018, 05:51

Проверьте письма, возможно нужно будет с кодировкой немного пошаманить.


Название раздела: Баг-репорт OkayCMS (Сообщения об ошибках)
Правила раздела: faq.php?mode=okay

Быстрый ответ


Введите код в точности так, как вы его видите. Регистр символов не имеет значения.
Код подтверждения

   

Вернуться в «Баг-репорт OkayCMS (Сообщения об ошибках)»

Кто сейчас на форуме (по активности за 5 минут)

Сейчас этот раздел просматривают: 1 гость